<template>
    <GridLayout rows="auto,auto" verticalAlignment="top">

        <GridLayout row="1" rows="2*,*,3*,3*">
            <Image src="~/assets/logo.png" marginLeft="30" marginTop="0"
                row="0" col="0" colSpan="3" />

            <StackLayout class="btn-img" padding="10"
                @tap="currentComponent = 'CardList'"
                :class="navigationButtonClasses('CardList')"
                :text="'fa-bars' | fonticon" row="2" col="1">
                <Image marginTop="50" src="~/assets/btnLON.png" />
            </StackLayout>

        </GridLayout>

    </GridLayout>
</template>

<script>
    import {
        Cards
    } from "../data/cards";
    export default {
        data() {
            return {
                name: "",
                meaning: "",
                emoji: "",
                emoji1: "",
                emoji2: "",
                icon: "emoji",
                cards: Cards,
                major: true
            };
        },
        computed: {
            shuffle() {
                return Math.floor(Math.random() * Math.floor(2));
            },
            getRandomNumber() {
                return Math.round(Math.random() * Math.floor(72));
            }
        },
        methods: {
            getMyCard() {
                this.cards.forEach((card, index) => {
                    if (index == this.getRandomNumber) {
                        if (card.type != "major") {
                            this.major = false;
                            this.emoji1 = "~/assets/emoji/" + card
                                .value + ".png";
                            this.emoji2 = "~/assets/emoji/" + card
                                .suit + ".png";
                        } else {
                            this.major = true;
                            this.emoji = "~/assets/emoji/" + card
                                .value + ".png";
                        }
                        this.name = card.name;
                        if (this.shuffle == 0) {
                            this.meaning = card.meaning_up;
                            this.icon = "emoji";
                        } else {
                            this.meaning = card.meaning_rev;
                            this.reversed = true;
                            this.icon = "emoji reversed";
                        }
                        console.log(this.reversed);
                    } else {}
                });
            }
        },
        created() {
            this.getMyCard();
        }
    };
</script>
<script>
    import CardOfTheDay from "../components/CardOfTheDay";
    import CardList from "../components/CardList";
    import Reading from "../components/Reading";
    import {
        Cards
    } from "../data/cards";
    export default {
        data() {
            return {
                currentComponent: "CardOfTheDay",
                componentsArray: ["CardOfTheDay", "CardList", "Reading"]
            };
        },
        computed: {
            navigationButtonClasses() {
                return component => ({
                    fa: true,
                    "nav-btn": true,
                    purple: component === this.currentComponent
                });
            }
        },
        components: {
            CardOfTheDay,
            CardList,
            Reading
        }
    };
</script>

<style>
    .meaning {
        font-size: 16;
        color: #131636;
        text-align: center;
        margin: 0 20;
    }

    .status {
        color: #323340;
        opacity: .5;
        font-size: 14;
        margin-top: -30;
    }
</style>